com.h3c.dist.sync

## Enum SyncServiceEventType

- java.lang.Object
- - java.lang.Enum<SyncServiceEventType>
  - - com.h3c.dist.sync.SyncServiceEventType

- All Implemented Interfaces:
    Serializable, Comparable<SyncServiceEventType>

      public enum SyncServiceEventType
      extends Enum<SyncServiceEventType>

  Different type of events that are posted to applications of distributed services on node status change.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ChildNodesChanged`
    `NodeCreated`
    `NodeDataChanged`
    `NodeDeleted`
    `None`
    `ServiceDown`
    `ServiceUp`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SyncServiceEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SyncServiceEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final SyncServiceEventType None

    - #### NodeCreated

          public static final SyncServiceEventType NodeCreated

    - #### NodeDeleted

          public static final SyncServiceEventType NodeDeleted

    - #### NodeDataChanged

          public static final SyncServiceEventType NodeDataChanged

    - #### ChildNodesChanged

          public static final SyncServiceEventType ChildNodesChanged

    - #### ServiceUp

          public static final SyncServiceEventType ServiceUp

    - #### ServiceDown

          public static final SyncServiceEventType ServiceDown

  - ### Method Detail

    - #### values

          public static SyncServiceEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SyncServiceEventType c : SyncServiceEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SyncServiceEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.